Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.emf
Class EMFGenerator

    java.lang.Object
      edu.stanford.smi.protegex.owl.emf.EMFGenerator

    public class EMFGenerator

extends Object

A class that can create Jave interfaces in the EMF format from an OWL model.

Author:
  Holger Knublauch

Constructor Summary
`EMFGenerator(OWLModel owlModel, EMFGeneratorOptions options)`

Method Summary
`void` | `createAllInterfaces()`
`void` | `createInterface(RDFSNamedClass aClass)`
`void` | `createInterfaceCode(PrintWriter printWriter, RDFSNamedClass aClass)`
`void` | `createSlotCode(PrintWriter printWriter, RDFSNamedClass aClass, RDFProperty property)`
`Collection` | `getBaseInterfaces(RDFSNamedClass aClass)`
`File` | `getInterfaceFile(RDFSNamedClass aClass)`
`String` | `getInterfaceName(RDFSNamedClass aClass)`
`static String` | `getValidJavaName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFGenerator

    public EMFGenerator(OWLModel owlModel,
                        EMFGeneratorOptions options)

Method Detail

### createAllInterfaces

    public void createAllInterfaces()
                             throws IOException

  Throws:
    `IOException`

### createInterface

    public void createInterface(RDFSNamedClass aClass)
                         throws IOException

  Throws:
    `IOException`

### createInterfaceCode

    public void createInterfaceCode(PrintWriter printWriter,
                                    RDFSNamedClass aClass)

### createSlotCode

    public void createSlotCode(PrintWriter printWriter,
                               RDFSNamedClass aClass,
                               RDFProperty property)

### getBaseInterfaces

    public Collection getBaseInterfaces(RDFSNamedClass aClass)

### getInterfaceFile

    public File getInterfaceFile(RDFSNamedClass aClass)

### getInterfaceName

    public String getInterfaceName(RDFSNamedClass aClass)

### getValidJavaName

    public static String getValidJavaName(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.